# eric5.Helpviewer.SpeedDial.SpeedDial

Module implementing the speed dial.

### Global Attributes

None

### Classes

SpeedDial | Class implementing the speed dial.

### Functions

None

## SpeedDial

Class implementing the speed dial.

### Signals

pagesChanged()
  emitted after the list of pages changed
speedDialSaved()
  emitted after the speed dial data was saved

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

SpeedDial | Constructor
__cleanFrames | Private method to clean all frames.
__imageFileName | Private method to generate the image file name for a URL.
__initialize | Private method to initialize the speed dial.
__load | Private method to load the speed dial configuration.
__pagesChanged | Private slot to react on a change of the pages configuration.
__thumbnailCreated | Private slot to handle the creation of a thumbnail image.
addPage | Public method to add a page for the given data.
addWebFrame | Public method to add a web frame.
changed | Public slot to react on changed pages.
close | Public method to close the user agents manager.
getFileName | Public method to get the file name of the user agents file.
initialScript | Public method to get the 'initial' JavaScript script.
loadThumbnail | Public slot to load a thumbnail of the given URL.
pageForUrl | Public method to get the page for the given URL.
pagesInRow | Public method to get the number of dials per row.
reload | Public method to reload the speed dial data.
removeImageForUrl | Public slot to remove the image for a URL.
removePage | Public method to remove a page.
save | Public method to save the speed dial configuration.
sdSize | Public method to get the speed dial size.
setPagesInRow | Public slot to set the number of pages per row.
setSdSize | Public slot to set the size of the speed dial.
unescapeTitle | Public slot to unescape the titel string.
urlForShortcut | Public method to get the URL for the given shortcut key.
urlFromUserInput | Public slot to get the URL from user input.

### Static Methods

None

#### SpeedDial (Constructor)

SpeedDial(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### SpeedDial.__cleanFrames

__cleanFrames()

Private method to clean all frames.

Returns:
  list of speed dial frames (list of QWebFrame)

#### SpeedDial.__imageFileName

__imageFileName(url)

Private method to generate the image file name for a URL.

url
  URL to generate the file name from (string)

Returns:
  name of the image file (string)

#### SpeedDial.__initialize

__initialize()

Private method to initialize the speed dial.

#### SpeedDial.__load

__load()

Private method to load the speed dial configuration.

#### SpeedDial.__pagesChanged

__pagesChanged()

Private slot to react on a change of the pages configuration.

#### SpeedDial.__thumbnailCreated

__thumbnailCreated(image)

Private slot to handle the creation of a thumbnail image.

image
  thumbnail image (QPixmap)

#### SpeedDial.addPage

addPage(url, title)

Public method to add a page for the given data.

url
  URL of the page (QUrl)
title
  title of the page (string)

#### SpeedDial.addWebFrame

addWebFrame(frame)

Public method to add a web frame.

frame
  reference to the frame to be added (QWebFrame)

#### SpeedDial.changed

changed(allPages)

Public slot to react on changed pages.

allPages
  string giving all pages (string)

#### SpeedDial.close

close()

Public method to close the user agents manager.

#### SpeedDial.getFileName

getFileName()

Public method to get the file name of the user agents file.

Returns:
  name of the user agents file (string)

#### SpeedDial.initialScript

initialScript()

Public method to get the 'initial' JavaScript script.

Returns:
  initial JavaScript script (string)

#### SpeedDial.loadThumbnail

loadThumbnail(url, loadTitle=False)

Public slot to load a thumbnail of the given URL.

url
  URL of the thumbnail (string)
loadTitle
  flag indicating to get the title for the thumbnail from the site (boolean)

#### SpeedDial.pageForUrl

pageForUrl(url)

Public method to get the page for the given URL.

url
  URL to be searched for (QUrl)

Returns:
  page for the URL (Page)

#### SpeedDial.pagesInRow

pagesInRow()

Public method to get the number of dials per row.

Returns:
  number of dials per row (integer)

#### SpeedDial.reload

reload()

Public method to reload the speed dial data.

#### SpeedDial.removeImageForUrl

removeImageForUrl(url)

Public slot to remove the image for a URL.

url
  URL to remove the image for (string)

#### SpeedDial.removePage

removePage(url)

Public method to remove a page.

url
  URL of the page (QUrl)

#### SpeedDial.save

save()

Public method to save the speed dial configuration.

#### SpeedDial.sdSize

sdSize()

Public method to get the speed dial size.

Returns:
  speed dial size (integer)

#### SpeedDial.setPagesInRow

setPagesInRow(count)

Public slot to set the number of pages per row.

count
  number of pages per row (integer)

#### SpeedDial.setSdSize

setSdSize(size)

Public slot to set the size of the speed dial.

size
  size of the speed dial (integer)

#### SpeedDial.unescapeTitle

unescapeTitle(title)

Public slot to unescape the titel string.

title
  escaped title (string)

Returns:
  un-escaped title (string)

#### SpeedDial.urlForShortcut

urlForShortcut(key)

Public method to get the URL for the given shortcut key.

key
  shortcut key (integer)

Returns:
  URL for the key (QUrl)

#### SpeedDial.urlFromUserInput

urlFromUserInput(url)

Public slot to get the URL from user input.

url
  URL entered by the user (string)

Returns:
  sanitized URL (string)

Up